summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rwxr-xr-xtests/misc/sort-month38
2 files changed, 39 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 68b3f71b7..db1610d6b 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -225,6 +225,7 @@ TESTS = \
misc/sort-files0-from \
misc/sort-merge \
misc/sort-merge-fdlimit \
+ misc/sort-month \
misc/sort-rand \
misc/sort-version \
misc/split-a \
diff --git a/tests/misc/sort-month b/tests/misc/sort-month
new file mode 100755
index 000000000..aee5215d5
--- /dev/null
+++ b/tests/misc/sort-month
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Test sorting of abbreviated months from the locale
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ sort --version
+fi
+
+. $srcdir/test-lib.sh
+
+locale --version >/dev/null 2>&1 ||
+ skip_test_ 'The locale utility is not present'
+
+# C will be used if the locale is not present
+for LOC in "$LOCALE_FR" "$LOCALE_FR_UTF8" "ja_JP.utf8"; do
+ mon="$(LC_ALL="$LOC" locale abmon 2>/dev/null);"
+ smon=$(LC_ALL="$LOC" locale abmon 2>/dev/null |
+ tr ';' '\n' | shuf | nl | LC_ALL="$LOC" sort -b -k2,2M |
+ cut -f2 | tr '\n' ';')
+ test "$mon" = "$smon" || { fail=1; break; }
+done
+
+Exit $fail